Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsBufferFormat Class Reference

グラフィックスバッファフォーマット More...

`#include <GraphicsBufferFormat.h>`

List of all members.

## Public Member Functions
| GraphicsBufferFormat ()
| コンストラクタ
| GraphicsBufferFormat (const D3DFORMAT &format)
| コピーコンストラクタ
void | setFormat (D3DFORMAT format)
| フォーマットの設定
D3DFORMAT | getFormat ()
| フォーマットの取得
const D3DFORMAT & | operator= (const D3DFORMAT &format)
| 代入演算子
String | getName ()
| フォーマット名の取得
u_int | getColorChannelBits ()
| カラーチャンネルビット数の取得
u_int | getAlphaChannelBits ()
| アルファチャンネルビット数の取得
u_int | getDepthBits ()
| 深度ビット数の取得
u_int | getStencilBits ()
| ステンシルビット数の取得

## Detailed Description

グラフィックスバッファフォーマット

このクラスは継承しないで下さい。

Definition at line 36 of file GraphicsBufferFormat.h.

## Constructor & Destructor Documentation

Lamp::GraphicsBufferFormat::GraphicsBufferFormat | ( | const D3DFORMAT & | format | ) | `[inline, explicit]`

  | コピーコンストラクタ Parameters:
  format | 設定するフォーマット
Definition at line 47 of file GraphicsBufferFormat.h.

## Member Function Documentation

u_int Lamp::GraphicsBufferFormat::getAlphaChannelBits | ( |  | ) |

| アルファチャンネルビット数の取得 Returns: アルファチャンネルビット数 Definition at line 196 of file GraphicsBufferFormat.cpp. References ErrorOut, and u_int. Referenced by Lamp::GraphicsDeviceInformation::enumerate().

u_int Lamp::GraphicsBufferFormat::getColorChannelBits | ( |  | ) |

| カラーチャンネルビット数の取得 Returns: カラーチャンネルビット数 Definition at line 114 of file GraphicsBufferFormat.cpp. References ErrorOut, and u_int. Referenced by Lamp::GraphicsAdapterInformation::enumerate().

u_int Lamp::GraphicsBufferFormat::getDepthBits | ( |  | ) |

| 深度ビット数の取得 Returns: 深度ビット数 Definition at line 278 of file GraphicsBufferFormat.cpp. References ErrorOut, and u_int. Referenced by Lamp::GraphicsDeviceComboInformation::buildDepthStencilFormats().

D3DFORMAT Lamp::GraphicsBufferFormat::getFormat | ( |  | ) | `[inline]`

| フォーマットの取得 Returns: フォーマット Definition at line 59 of file GraphicsBufferFormat.h.

String Lamp::GraphicsBufferFormat::getName | ( |  | ) |

| フォーマット名の取得 Returns: フォーマット名 Definition at line 32 of file GraphicsBufferFormat.cpp. References ErrorOut. Referenced by Lamp::GraphicsDeviceComboInformation::toString(), and Lamp::GraphicsDeviceCapacity::toString().

u_int Lamp::GraphicsBufferFormat::getStencilBits | ( |  | ) |

| ステンシルビット数の取得 Returns: ステンシルビット数 Definition at line 360 of file GraphicsBufferFormat.cpp. References ErrorOut, and u_int. Referenced by Lamp::GraphicsDeviceComboInformation::buildDepthStencilFormats().

const D3DFORMAT& Lamp::GraphicsBufferFormat::operator= | ( | const D3DFORMAT & | format | ) | `[inline]`

  | 代入演算子 Parameters:
  format | 代入元フォーマット
Returns: 代入結果 Definition at line 66 of file GraphicsBufferFormat.h.

void Lamp::GraphicsBufferFormat::setFormat | ( | D3DFORMAT | format | ) | `[inline]`

  | フォーマットの設定 Parameters:
  format | 設定するフォーマット
Definition at line 53 of file GraphicsBufferFormat.h.

The documentation for this class was generated from the following files:

- GraphicsBufferFormat.h
- GraphicsBufferFormat.cpp